use std::collections::HashSet;
use std::sync::Arc;

use kube::Client;

use crate::gitea_client::GiteaClient;

#[derive(Clone)]
pub(crate) struct AppState {
    pub(crate) kubernetes_client: Client,
    pub(crate) gitea: GiteaClient,
    pub(crate) allowed_repos: Arc<HashSet<String>>,
}
